package com.ffii.lioner.modules.lioner.req;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;

/** @author Jason Lam */
public class UpdateSearchCriteriaTemplateReq {

    @NotNull
    private Long id;
    
    @NotNull
    private Long userId;

    @NotBlank
	@Size(max = 255)
	private String name;

    @NotBlank
	@Size(max = 50)
	private String module;

    @NotBlank
	private String criteria;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getModule() {
        return this.module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getCriteria() {
        return this.criteria;
    }

    public void setCriteria(String criteria) {
        this.criteria = criteria;
    }


}

